## Package org.opengis.feature.display.canvas

Canvas for features and its layers.

See:
Description

Interface Summary
FeatureCanvas: Represents a canvas that consumes features and automatically turns them into graphics.
FeatureLayer: Abstract base class for a grouping of features drawn on a Canvas.
FeatureLayerListener: Methods on this interface are invoked when a `FeatureLayer` has been modified.

Class Summary
FeatureLayerEvent: Instance of this event are passed to `FeatureLayerListener`s when a property of the canvas has changed.

Exception Summary
StyleException: Thrown when the canvas is unable to apply a style to a feature that has been added to one of its layers.

## Package org.opengis.feature.display.canvas Description

Canvas for features and its layers.

WARNING: this package is experimental. In future releases, it will move to `org.opengis.display.canvas` or may be removed entirely.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.